Recordad que para pedir soporte alguno, debéis facilitar los datos de soporte oportunos por favor, mirad aquí y leer las Normas generales del foro, esto nos servirá de ayuda para dar el mejor soporte..

Gracias.

La Administración de phpBB España.

Actualizar desde phpBB 3.2.0 a la versión más reciente ¿cómo?Tema Solucionado

Foros de soporte phpBB 3.2


Avatar de Usuario
jorup16
Avanzado/a
Mensajes: 493
Registrado: 21 Abr 2007, 03:10
Género:
Edad: 33

Actualizar desde phpBB 3.2.0 a la versión más reciente ¿cómo?

#1

Mensaje por jorup16 »

Hola amigos de phpBB-es, hace muchísimo de tiempo que no me conectaba al foro, debido a trabajo, viajes, problemas personales, etc. y durante todo este tiempo el foro que administro lo he dejado ciertamente abandonado (de forma irresponsable de parte mía) sin actualizaciones o parches de seguridad o cualquier cosa que mejore al sistema.

He estado leyendo temas pero estoy un poco perdido ahora (antes hasta traducía mods :( ) y necesito de su valiosísima ayuda para poder actualizar mi foro a la versión más reciente, veo que ya hay una versión 3.3 pero no sé si haya que ir actualizando primero versión por versión de 3.2.X ¿o qué es lo que recomiendan ustedes?

Mi panel de control se ve así...

Imagen
Imagen
Imagen

Lo que puedo notar que los datos que hay en mi firma no coinciden en cuanto a extensión, creo. Mi problema es que yo tenía a una persona encargada pero no sé si instaló o desinstaló algo y pues ahora ya no tengo comunicación con esta persona, entonces es por ello que necesito de su ayuda para seguir sus recomendaciones y saber qué hacer debidamente.

Muchas gracias.



URL: http://www.fifa-xgamers.com
Versión phpBB: phpBB 3.3.0
EXts Instaladas:

Spoiler

Plantilla(s) usada(s): Milk v2
Servidor: Linux (Namecheap.com) de pago
Actualización desde otra versión: 3.2.x a 3.3.x
Conversión desde otro sistema de foros: Ninguna

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 1055
Registrado: 14 Ene 2017, 22:18
Género:

Actualizar desde phpBB 3.2.0 a la versión más reciente ¿cómo?

#2

Mensaje por AbaddonOrmuz »

Por favor, corrige los créditos de las traducciones ya que no se da soporte si estos faltan.

rules#soporte-rule

Algunas de mis extensiones:
Imagen Imgur | :chart_with_upwards_trend: SEO Metadata | Imagen Markdown | :lock: Auto-lock Topics | :mermaid: Mermaid Diagrams
:trophy: Checa todas mi extensiones aprobadas :trophy:

:penguin: Usuario de Arch Linux :penguin:

Avatar de Usuario
jorup16
Avanzado/a
Mensajes: 493
Registrado: 21 Abr 2007, 03:10
Género:
Edad: 33

Actualizar desde phpBB 3.2.0 a la versión más reciente ¿cómo?

#3

Mensaje por jorup16 »

Pido las disculpas del caso, como dije anteriormente estoy un poco "oxidado" en cuanto a esto y esos pequeños detalles (estoy casi seguro que yo había puesto copyright pero de plano que me lo quitaron durante el tiempo que no estuve :D )...

Bueno, de igual forma no me interesa ya ese estilo, me gustaría cambiarlo al realizar una actualización adecuada... ya he puesto el estilo Prosilver el cual si tiene el copyright adecuado y he corregido mi firma.

URL: http://www.fifa-xgamers.com
Versión phpBB: phpBB 3.3.0
EXts Instaladas:

Spoiler

Plantilla(s) usada(s): Milk v2
Servidor: Linux (Namecheap.com) de pago
Actualización desde otra versión: 3.2.x a 3.3.x
Conversión desde otro sistema de foros: Ninguna

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 1055
Registrado: 14 Ene 2017, 22:18
Género:

Actualizar desde phpBB 3.2.0 a la versión más reciente ¿cómo?

#4

Mensaje por AbaddonOrmuz »

Es posible actualizar directamente a 3.3.0, ya que las actualizaciones son acumulativas, es decir que al actualizar a 3.3.0 pasarás por todas las versiones anteriores a esta de manera automática.

Revisa la siguiente guía para actualizar: Actualizando phpBB 3.2.x

Aunque la guía indica que es para 3.2.x, el procedimiento es el mismo para 3.3.x

En el punto 3 recomendaría utilizar el paquete completo en Español en su lugar.

phpBB Español

Algunas de mis extensiones:
Imagen Imgur | :chart_with_upwards_trend: SEO Metadata | Imagen Markdown | :lock: Auto-lock Topics | :mermaid: Mermaid Diagrams
:trophy: Checa todas mi extensiones aprobadas :trophy:

:penguin: Usuario de Arch Linux :penguin:

Avatar de Usuario
jorup16
Avanzado/a
Mensajes: 493
Registrado: 21 Abr 2007, 03:10
Género:
Edad: 33

Actualizar desde phpBB 3.2.0 a la versión más reciente ¿cómo?

#5

Mensaje por jorup16 »

Seguí instrucciones al pie de la letra y pues cuando lo hago la página se me queda enblanco...

Luego volví a restaurar todo y volví a subir todo de nuevo y me aparece el siguiente mensaje: (me di cuenta que se me había olvidado borrar la carpeta vendor y caché)

Imagen

Código: Seleccionar todo

General Error:SQL ERROR [ mysqli ]Duplicate key name 'itm_usr_mthd' [1061]SQLALTER TABLE phpbb_user_notifications ADD INDEX itm_usr_mthd (item_type, item_id, user_id, method) in file /home/ctuchez/public_html/files_xg/phpbb/db/driver/driver.php on line 1023BACKTRACEFILE: (not given by php)LINE: (not given by php)CALL: installer_msg_handler()FILE: [ROOT]/phpbb/db/driver/driver.phpLINE: 1023CALL: trigger_error()FILE: [ROOT]/phpbb/db/driver/mysqli.phpLINE: 195CALL: phpbb\db\driver\driver->sql_error()FILE: [ROOT]/phpbb/db/tools/tools.phpLINE: 1011CALL: phpbb\db\driver\mysqli->sql_query()FILE: [ROOT]/phpbb/db/tools/tools.phpLINE: 1477CALL: phpbb\db\tools\tools->_sql_run_sql()FILE: [ROOT]/phpbb/db/tools/tools.phpLINE: 621CALL: phpbb\db\tools\tools->sql_create_index()FILE: (not given by php)LINE: (not given by php)CALL: phpbb\db\tools\tools->perform_schema_changes()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 714CALL: call_user_func_array()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 661CALL: phpbb\db\migrator->run_step()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 400CALL: phpbb\db\migrator->process_data_step()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 351CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 288CALL: phpbb\db\migrator->try_apply()FILE: [ROOT]/phpbb/db/migrator.phpLINE: 241CALL: phpbb\db\migrator->update_do()FILE: [ROOT]/phpbb/install/module/update_database/task/update.phpLINE: 160CALL: phpbb\db\migrator->update()FILE: [ROOT]/phpbb/install/module_base.phpLINE: 149CALL: phpbb\install\module\update_database\task\update->run()FILE: [ROOT]/phpbb/install/installer.phpLINE: 219CALL: phpbb\install\module_base->run()FILE: [ROOT]/phpbb/install/controller/update.phpLINE: 133CALL: phpbb\install\installer->run()FILE: [ROOT]/vendor/symfony/http-foundation/StreamedResponse.phpLINE: 114CALL: phpbb\install\controller\update->phpbb\install\controller\{closure}()FILE: [ROOT]/vendor/symfony/http-foundation/Response.phpLINE: 374CALL: Symfony\Component\HttpFoundation\StreamedResponse->sendContent()FILE: [ROOT]/install/app.phpLINE: 62CALL: Symfony\Component\HttpFoundation\Resp

Y como vi que me había equivocado pues lo volví a hacer una vez más y esta vez si borré las carpetas indicadas y nuevamente se me quedaba en blanco la página...
Entonces lo raro es que la única forma que yo vea un menú de instalación/actualización fue dejando esas dos carpetas por error...

Ya he subido varias veces todo y no entiendo por qué la instalación se queda en blanco :( (como en este momento)

¿Qué estoy haciendo mal?

URL: http://www.fifa-xgamers.com
Versión phpBB: phpBB 3.3.0
EXts Instaladas:

Spoiler

Plantilla(s) usada(s): Milk v2
Servidor: Linux (Namecheap.com) de pago
Actualización desde otra versión: 3.2.x a 3.3.x
Conversión desde otro sistema de foros: Ninguna

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 1055
Registrado: 14 Ene 2017, 22:18
Género:

Actualizar desde phpBB 3.2.0 a la versión más reciente ¿cómo?

#6

Mensaje por AbaddonOrmuz »

Revisa tu registro de errores (del hosting), las páginas en blanco suelen ser errores suprimidos, y en tu caso es un error HTTP 500.

Código: Seleccionar todo

$ curl -IL http://www.fifa-xgamers.com/
HTTP/1.1 500 Internal Server Error
...

Desafortunadamente el error HTTP 500 es muy ambiguo, por lo que necesitas revisar el registro, porque a menudo el erro 500 no es la causa, sino la consecuencia.

Checa esta guía: Error 500: Como identificarlo

Nota: Ese archivo también puede llamarse error_log

Algunas de mis extensiones:
Imagen Imgur | :chart_with_upwards_trend: SEO Metadata | Imagen Markdown | :lock: Auto-lock Topics | :mermaid: Mermaid Diagrams
:trophy: Checa todas mi extensiones aprobadas :trophy:

:penguin: Usuario de Arch Linux :penguin:

Avatar de Usuario
jorup16
Avanzado/a
Mensajes: 493
Registrado: 21 Abr 2007, 03:10
Género:
Edad: 33

Actualizar desde phpBB 3.2.0 a la versión más reciente ¿cómo?

#7

Mensaje por jorup16 »

En el cpanel me aparece este regristro:

Código: Seleccionar todo

[Thu Apr 09 20:54:27.552910 2020] [access_compat:error] [pid 544287:tid 47475325695744] [client 189.203.45.130:49646] AH01797: client denied by server configuration: /home/ctuchez/public_html/files_xg/store/, referer: http://www.fifa-xgamers.com/
[Thu Apr 09 20:54:27.552755 2020] [access_compat:error] [pid 544287:tid 47475325695744] [client 189.203.45.130:49646] AH01797: client denied by server configuration: /home/ctuchez/public_html/files_xg/files/, referer: http://www.fifa-xgamers.com/
[Thu Apr 09 20:54:19.899654 2020] [access_compat:error] [pid 551387:tid 47475351226112] [client 189.203.45.130:49226] AH01797: client denied by server configuration: /home/ctuchez/public_html/files_xg/store/
[Thu Apr 09 20:54:19.899504 2020] [access_compat:error] [pid 551387:tid 47475351226112] [client 189.203.45.130:49226] AH01797: client denied by server configuration: /home/ctuchez/public_html/files_xg/files/
[Thu Apr 09 13:20:39.624153 2020] [access_compat:error] [pid 595570:tid 47475446548224] [client 190.148.39.46:41160] AH01797: client denied by server configuration: /home/ctuchez/public_html/files_xg/12cache/
[Thu Apr 09 01:29:23.527465 2020] [access_compat:error] [pid 381129:tid 47475357529856] [client 35.134.118.97:38660] AH01797: client denied by server configuration: /home/ctuchez/public_html/files_xg/files/
[Thu Apr 09 01:29:16.178731 2020] [access_compat:error] [pid 381129:tid 47475359631104] [client 51.79.65.13:38120] AH01797: client denied by server configuration: /home/ctuchez/public_html/files_xg/files/

URL: http://www.fifa-xgamers.com
Versión phpBB: phpBB 3.3.0
EXts Instaladas:

Spoiler

Plantilla(s) usada(s): Milk v2
Servidor: Linux (Namecheap.com) de pago
Actualización desde otra versión: 3.2.x a 3.3.x
Conversión desde otro sistema de foros: Ninguna

Avatar de Usuario
jorup16
Avanzado/a
Mensajes: 493
Registrado: 21 Abr 2007, 03:10
Género:
Edad: 33

Actualizar desde phpBB 3.2.0 a la versión más reciente ¿cómo?

#8

Mensaje por jorup16 »

Lo volví a subir todo y he vuelto a hacer todo nuevamente y esta vez grabé un video para mostrar que es lo que sucede...

https://www.screencast.com/users/Jorup1 ... 07f1f3d32d

:(

URL: http://www.fifa-xgamers.com
Versión phpBB: phpBB 3.3.0
EXts Instaladas:

Spoiler

Plantilla(s) usada(s): Milk v2
Servidor: Linux (Namecheap.com) de pago
Actualización desde otra versión: 3.2.x a 3.3.x
Conversión desde otro sistema de foros: Ninguna

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 1055
Registrado: 14 Ene 2017, 22:18
Género:

Actualizar desde phpBB 3.2.0 a la versión más reciente ¿cómo?

#9

Mensaje por AbaddonOrmuz »

jorup16 escribió:
10 Abr 2020, 19:44

En el cpanel me aparece este regristro:

Esos registros (de acceso) no muestran información relevante, deben ser los del registro de errores.

Revisa los errores desde el día 8 de Abril.

jorup16 escribió:
10 Abr 2020, 23:01

Lo volví a subir todo y he vuelto a hacer todo nuevamente y esta vez grabé un video para mostrar que es lo que sucede...

Pero has restaurado la base de datos de la copia de seguridad que hiciste antes de actualizar? Porque parece ser que en intentos anteriores en algún punto el instalador se detuvo, no se completó la actualización y por ello el error de llaves duplicadas.

Algunas de mis extensiones:
Imagen Imgur | :chart_with_upwards_trend: SEO Metadata | Imagen Markdown | :lock: Auto-lock Topics | :mermaid: Mermaid Diagrams
:trophy: Checa todas mi extensiones aprobadas :trophy:

:penguin: Usuario de Arch Linux :penguin:

Avatar de Usuario
jorup16
Avanzado/a
Mensajes: 493
Registrado: 21 Abr 2007, 03:10
Género:
Edad: 33

Actualizar desde phpBB 3.2.0 a la versión más reciente ¿cómo?

#10

Mensaje por jorup16 »

Sí, de hecho es una copia de seguridad que hice antes de intentar actualizar.

Lo que se me ocurre es que la persona que administraba el foro antes intentó hacer alguna actualización en la base de datos y algo salió mal y que por eso no se pueda actualizar. Si ese es el caso, ¿hay algo que se pueda hacer?

URL: http://www.fifa-xgamers.com
Versión phpBB: phpBB 3.3.0
EXts Instaladas:

Spoiler

Plantilla(s) usada(s): Milk v2
Servidor: Linux (Namecheap.com) de pago
Actualización desde otra versión: 3.2.x a 3.3.x
Conversión desde otro sistema de foros: Ninguna

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 1055
Registrado: 14 Ene 2017, 22:18
Género:

Actualizar desde phpBB 3.2.0 a la versión más reciente ¿cómo?  Tema Solucionado

#11

Mensaje por AbaddonOrmuz »

jorup16 escribió:
11 Abr 2020, 00:53

Lo que se me ocurre es que la persona que administraba el foro antes intentó hacer alguna actualización en la base de datos y algo salió mal y que por eso no se pueda actualizar

Es posible, pero lo dudo, porque viendo las migraciones, ese índice existe desde la versión 3.2.1, la misma versión de phpBB que tienes.

jorup16 escribió:
11 Abr 2020, 00:53

Si ese es el caso, ¿hay algo que se pueda hacer?

Puedes intentar eliminar el índice manualmente justo antes de seguir con la actualización.

Código: Seleccionar todo

ALTER TABLE phpbb_user_notifications DROP INDEX itm_usr_mthd;

Si no estas familiarizado con phpMyAdmin, revisa ésta guía: Ejecutar consultas SQL en phpMyAdmin

Algunas de mis extensiones:
Imagen Imgur | :chart_with_upwards_trend: SEO Metadata | Imagen Markdown | :lock: Auto-lock Topics | :mermaid: Mermaid Diagrams
:trophy: Checa todas mi extensiones aprobadas :trophy:

:penguin: Usuario de Arch Linux :penguin:

Avatar de Usuario
jorup16
Avanzado/a
Mensajes: 493
Registrado: 21 Abr 2007, 03:10
Género:
Edad: 33

Actualizar desde phpBB 3.2.0 a la versión más reciente ¿cómo?

#12

Mensaje por jorup16 »

¡Genio! exactamente eso era la solución...

Imagen

Ahora ya funcionó la actualización, después de muchísimos intentos por fin pude y todo gracias a tu valiosa ayuda.. :clap:

Eso sería todo, la próxima vez pues a pedir ayuda en otra categoría ya que por fin tengo 3.3 :oops: :clap:

URL: http://www.fifa-xgamers.com
Versión phpBB: phpBB 3.3.0
EXts Instaladas:

Spoiler

Plantilla(s) usada(s): Milk v2
Servidor: Linux (Namecheap.com) de pago
Actualización desde otra versión: 3.2.x a 3.3.x
Conversión desde otro sistema de foros: Ninguna

Avatar de Usuario
AbaddonOrmuz
Moderador
Mensajes: 1055
Registrado: 14 Ene 2017, 22:18
Género:

Actualizar desde phpBB 3.2.0 a la versión más reciente ¿cómo?

#13

Mensaje por AbaddonOrmuz »

jorup16 escribió:
11 Abr 2020, 04:30

Ahora ya funcionó la actualización, después de muchísimos intentos por fin pude

Me alegra leer eso :tada:

jorup16 escribió:
11 Abr 2020, 04:30

Eso sería todo, la próxima vez pues a pedir ayuda en otra categoría ya que por fin tengo 3.3 :oops: :clap:

Recuerda actualizar los datos de soporte de tu firma :sunglasses:

Algunas de mis extensiones:
Imagen Imgur | :chart_with_upwards_trend: SEO Metadata | Imagen Markdown | :lock: Auto-lock Topics | :mermaid: Mermaid Diagrams
:trophy: Checa todas mi extensiones aprobadas :trophy:

:penguin: Usuario de Arch Linux :penguin:

  • Temas similares
    Respuestas
    Vistas
    Último mensaje

Volver a “🔎 Foros de Soporte 3.2”